Bug 746795 - Review Request: io Programming Language - Io is a prototype-based programming language inspired by Smalltalk, Self, NewtonScript, Act1, LISP and Lua.
Review Request: io Programming Language - Io is a prototype-based programming...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-17 15:39 EDT by Colin Zwiebel
Modified: 2013-10-19 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-09 15:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colin Zwiebel 2011-10-17 15:39:03 EDT
Spec URL: https://minus.com/d4NqaDwoeeVXs.spec
SRPM URL: https://minus.com/d2rXZgwgid5Bx.rpm
Description: Io is a prototype-based programming language inspired by Smalltalk (all values are objects, all messages are dynamic), Self (prototype-based), NewtonScript (differential inheritance), Act1 (actors and futures for concurrency), LISP (code is a runtime inspectable/modifiable tree) and Lua (small, embeddable).
Comment 1 Colin Zwiebel 2011-10-17 17:45:57 EDT
First package (=]) needs a sponsor.
Comment 2 T.C. Hollingsworth 2011-10-17 18:19:16 EDT
If you need a sponsor, please add "FE_NEEDSPONSOR" to the "Blocks" section of this bug.  In the meantime, here's an informal review:

> BuildRequires:    cmake, gcc-c++
It is not necessary to BuildRequire gcc-c++; it's part of the standard build environment:
http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires

> -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_lib}
These two arguments to CMake are defined by the %cmake macro and aren't needed.  To see what %cmake expands to, look at its definition in /etc/rpm/macros.cmake

In fact, it appears the second one is causing x86_64 builds to fail:
http://koji.fedoraproject.org/koji/getfile?taskID=3438052&name=build.log
http://koji.fedoraproject.org/koji/taskinfo?taskID=3438051

> %post
> %postun
No need to include these if they're empty.

> %changelog
Please put a simple changelog entry here.

Finally, please break lines around 40 characters (the description is ridiculously long) and add some whitespace between sections so your spec file is easier to read.

You should also provide rpmlint output in your review:
http://fedoraproject.org/wiki/Packaging:Guidelines#Use_rpmlint
http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Good luck.  :-)
Comment 3 Jon Ciesla 2011-10-17 20:44:34 EDT
Already in Fedora.  :(

https://admin.fedoraproject.org/pkgdb/acls/name/Io-language
Comment 4 Jon Ciesla 2012-04-09 15:22:38 EDT
Please contact me if you'd like your changes integrated into the existing Fedora IO-Language rpm.

Note You need to log in before you can comment on or make changes to this bug.